"""
Wrapper for Unifi Access API.

See the [official API Reference](https://core-config-gfoz.uid.alpha.ui.com/configs/unifi-access/api_reference.pdf) for more details.
"""

from ._client import AccessClient, PaginatedResponse, ResponseCode, UnifiAccessError

__all__ = ["AccessClient", "PaginatedResponse", "ResponseCode", "UnifiAccessError"]
