from ._base import DeviceId, ForbidExtraBaseModel


class Device(ForbidExtraBaseModel):
    id: DeviceId
    """Identity ID of the device."""
    name: str
    """Name of the device."""
    type: str
    """Type of the device."""
    full_name: str
    """Full name of the device."""
