import unittest

import unifi_access


class UnifiAccessTests(unittest.TestCase):
    def setUp(self) -> None:
        self.host = "localhost:12445"
        self.api_token = "EXAMPLE_TOKEN"
        self.common_headers = {
            "Authorization": f"Bearer {self.api_token}",
            "Accept": "application/json",
            "Content-Type": "application/json",
        }
        self.client = unifi_access.AccessClient(
            host=self.host, api_token=self.api_token
        )

    # XXX: TODO:
    # 11 Notification
    # - 11.1 Fetch Notifications [WebSocket]
    # - 11.2 List of Supported Webhook Events [Webhook]
    # - 11.3 Fetch Webhook Endpoints List [Webhook]
    # - 11.4 Add Webhook Endpoints [Webhook]
    # - 11.5 Update Webhook Endpoints [Webhook]
    # - 11.6 Delete Webhook Endpoints [Webhook]
    # - 11.7 Allow Webhook Endpoint Owner to Receive Webhook Events [Webhook]
    # 12 API Server
    # - 12.1 Upload HTTPS Certificate
    # - 12.2 Delete HTTPS Certificate
